Đến nội dung


Hình ảnh
- - - - -

Lisp nhập đoạn thẳng và kiểm tra điều kiện nhập


  • Please log in to reply
4 replies to this topic

#1 Vutienyeuduyen

Vutienyeuduyen

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 April 2013 - 11:05 AM

Lisp nhập đoạn thẳng và kiểm tra điều kiện nhập.


  • 0

#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 15 April 2013 - 12:23 PM

De bai:nhap vao chieu dai 1 doan thang neu du lieu dau vao >0,thi thuc hien lenh ve doan thang.Neu du lieu khong dung thi nhap lai va ve lai.

Hề hề hề,

Phải chăng bạn cần cái này:

(defun c:ln ()

(while (or (<= (setq len (getreal "\n Nhap gia tri do dai doan thang: ")) 0) (= len nil) )

 (alert "\n Do dai doan thang nhap khong dung, hay nhap lai") )

(if (> len 0)

   (command "line" (setq p1 (getpoint "\n Nhap diem bat dau ve")) (polar p1 (getreal "\n Nhap goc ve doan thang tinh theo radian: ") len) "")

)

)

Hề hề hề


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 Vutienyeuduyen

Vutienyeuduyen

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 15 April 2013 - 05:55 PM

Thank b
  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 15 April 2013 - 06:45 PM

Có thể thay toàn bộ ba thứ lằng nhằng trong While bằng (initget 7) thì code sẽ gọn đi rất nhiều.

 

(defun C:LN1( / len pt ang)
 (initget 7) (setq len (getreal "\n Nhap gia tri do dai doan thang: "))
 (initget 1) (setq pt (getpoint "\n Nhap diem bat dau ve: "))
 (initget 1) (setq ang (getreal "\n Nhap goc ve doan thang tinh theo radian: "))
 (entmake (list (cons 0 "LINE") (cons 10 pt) (cons 11 (polar pt ang len))))
 (princ))

  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5685 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 15 April 2013 - 08:15 PM

K hiểu sao 2 bác nhà mình lại trả lời bài này :|
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC